Summary:    A GNU tool for automatically configuring source code
Name:       autoconf
Version:    2.69
Release:    1
License:    GPLv2+ and GFDL
Group:      Development/Tools
Source0:    http://ftp.gnu.org/gnu/autoconf/%{name}-%{version}.tar.gz
Source1:    http://ftp.gnu.org/gnu/autoconf/%{name}-%{version}.tar.gz.sig
URL:        http://www.gnu.org/software/autoconf/
BuildRequires:      m4 >= 1.4.7
Requires:           m4 >= 1.4.7
Requires:   /sbin/install-info, info, bash
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root

%description
GNU's Autoconf is a tool for configuring source code and Makefiles.
Using Autoconf, programmers can create portable and configurable
packages, since the person building the package is allowed to 
specify various configuration options.

You should install Autoconf if you are developing software and
would like to create shell scripts that configure your source code
packages. If you are installing Autoconf, you will also need to
install the GNU m4 package.

Note that the Autoconf package is not required for the end-user who
may be configuring software with an Autoconf-generated script;
Autoconf is only required for the generation of the scripts, not
their use.


%prep
%setup -q


%build
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir}
# build not smp safe:
make


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir
rm -f ${RPM_BUILD_ROOT}%{_infodir}/standards*
gzip --best ${RPM_BUILD_ROOT}%{_infodir}/*.info

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :


%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS TODO
%{_bindir}/*
%{_mandir}/man1/*
%{_infodir}/autoconf.info*
%{_datadir}/%{name}
/usr/bin/*


%changelog
* Wed Apr 25 2012 Michael Perzl <michael@perzl.org> - 2.69-1
- updated to version 2.69

* Tue Oct 05 2010 Michael Perzl <michael@perzl.org> - 2.68-1
- updated to version 2.68

* Tue Aug 03 2010 Michael Perzl <michael@perzl.org> - 2.67-1
- updated to version 2.67

* Fri Jul 23 2010 Michael Perzl <michael@perzl.org> - 2.66-1
- updated to version 2.66

* Thu Nov 26 2009 Michael Perzl <michael@perzl.org> - 2.65-1
- updated to version 2.65

* Thu Aug 06 2009 Michael Perzl <michael@perzl.org> - 2.64-1
- updated to version 2.64

* Fri Oct 10 2007 Michael Perzl <michael@perzl.org> - 2.63-1
- first version for AIX V5.1 and higher
